## org.eclipse.emf.spi.cdo
Interface InternalCDOXATransaction

All Superinterfaces:
  CDOUserTransaction, CDOXATransaction

    public interface InternalCDOXATransaction

extends CDOXATransaction

Since:
  2.0

Nested Class Summary
`static interface` `InternalCDOXATransaction.InternalCDOXACommitContext`

Method Summary
`InternalCDOXATransaction.InternalCDOXACommitContext` `getCommitContext(CDOTransaction transaction)`

Methods inherited from interface org.eclipse.emf.cdo.transaction.CDOXATransaction
`add, isAllowRequestFromTransactionEnabled, remove, setAllowRequestFromTransactionEnabled`

Methods inherited from interface org.eclipse.emf.cdo.transaction.CDOUserTransaction
`commit, commit, getLastSavepoint, rollback, rollback, setSavepoint`

Method Detail

### getCommitContext

    InternalCDOXATransaction.InternalCDOXACommitContext getCommitContext(CDOTransaction transaction)

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.